/**
 * endian.c
 * Copyright (C) 2008 Markus Broeker
 */

#include <stdio.h>
#include <stdlib.h>

int endian ()
{
    unsigned short word = 0x1234;
    unsigned char *p = (unsigned char *)&word;

    return ((p[0] == 0x34) ? 0 : 1);
}

int main (int argc, char **argv)
{
    printf ("%s Endian System\n", (endian ())? "Big" : "Little");

    return EXIT_SUCCESS;
}
